Name:		perl-MD5
Version:	2.02
Release:	3
Summary:	Perl interface to MD5 routines.
%define		perlname	MD5

Group:		Applications/CPAN
License:	GPL
URL:		http://search.cpan.org/dist/%{perlname}
Packager:	Thomas Vander Stichele <thomas@apestaart.org>
Source:		http://search.cpan.org/CPAN/authors/id/G/GA/GAAS/%{perlname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-root

%trace
%{expand: %%define redhatversion %(rpm -q --qf '%%{version}' redhat-release)}
%{expand: %{?redhatversion: %{echo: redhatversion: true}}}
%{expand: %%define truth %{?%(echo "yes" || echo "no"):1}}
%trace
%if %{?truth:1}}
BuildRequires: one
%endif

#%{expand:redhatversion < 8.0:Requires:	perl-Digest-MD5}
#%{expand:redhatversion < 8.0:BuildRequires:	perl-Digest-MD5}

%description
This module (MD5.pm) is just a thin wrapper around the Digest::MD5
module.  It is provided so that legacy code that rely on the old
interface continue to work with the speed benefit of the new module.

The Digest::MD5 module must be installed.

This module is deprecated.  Please use Digest::MD5 instead.

# Provide perl-specific find-{provides,requires}.
%define __find_provides /usr/lib/rpm/find-provides.perl
%define __find_requires /usr/lib/rpm/find-requires.perl

%prep
%setup -q -n %{perlname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make
make test

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make PREFIX=$RPM_BUILD_ROOT/usr install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%changelog
* Mon Oct 21 2002 Thomas Vander Stichele <thomas@apestaart.org>
- do double duty for RH 80 and older by detecting redhat version

* Wed Oct 16 2002 Thomas Vander Stichele <thomas@apestaart.org>
- updated for RH 80.  removed perl-Digest-MD5 dep since it's part of the
  default dist now

* Tue Sep 10 2002 Thomas Vander Stichele <thomas@apestaart.org>
- first draft
